import type { ExtractPropTypes } from 'vue';
import type VideoPlayer from './video-player.vue';
export declare const videoFormat: string[];
export declare const videoPlayerProps: {
    readonly src: {
        readonly type: import("vue").PropType<string>;
        readonly required: true;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly poster: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly autoplay: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly loop: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly preload: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, string, unknown, "auto", boolean>;
    readonly muted: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly controls: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly width: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "100%", boolean>;
    readonly height: import("ll-plus/es/utils").EpPropFinalized<readonly [StringConstructor, NumberConstructor], unknown, unknown, "auto", boolean>;
    readonly format: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, string, unknown, "MP4", boolean>;
};
export type VideoPlayerProps = ExtractPropTypes<typeof videoPlayerProps>;
export type VideoPlayerInstance = InstanceType<typeof VideoPlayer>;
